Permalink
Browse files

Restructured the code base and syncing it with the Jzip gem setup

  • Loading branch information...
1 parent 0a18099 commit 67e0afce797b545f7b87e352fbe81cccb6fb2342 Paul Engel committed Jun 25, 2010
View
@@ -0,0 +1,5 @@
+= e9s CHANGELOG
+
+== Version 1.0 (June 24, 2010)
+
+* Lorem ipsum
View
@@ -1,58 +0,0 @@
-= e9s
-
-Enrichments (e9s) for Ruby Internationalization (i18n)
-
-== Introduction
-
-E9s was created due to the need of simply implementing i18n within a Rails application. It enriches I18n, Formtastic, the String and Symbol classes to make life easier for the Rails developer.
-
-Want to see what Enrichments (e9s) really has to offer within a couple of seconds? Please visit http://github.com/archan937/e9s-demo for a complete demo application.
-
-== How to use
-
-1. Install the e9s plugin
- script/plugin install git://github.com/archan937/e9s.git
-
-2. Install the formtastic plugin (optional)
- script/plugin install git://github.com/justinfrench/formtastic.git
-
-3. Place predefined YML files (for the used locales) in /config/locals/ (optional)
- download from http://github.com/svenfuchs/rails-i18n/tree/master/rails/locale
-
-4. Add translations within local YML files in /config/locals/
-
-5. Start translating within controllers, models and/or views
-
-6. Enjoy! :D
-
-== Documentation
-
-Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
-Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
-
-== Credit
-
-This Rails plugin depends on:
-
-i18n
-http://github.com/svenfuchs/i18n
-
-Formtastic (optional)
-http://github.com/justinfrench/formtastic
-
-== License
-Copyright (c) 2010 Paul Engel, released under the MIT license
-http://holder.nl - http://gettopup.com - paul.engel@holder.nl
-
-Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
-documentation files (the "Software"), to deal in the Software without restriction, including without limitation the
-rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
-persons to whom the Software is furnished to do so, subject to the following conditions:
-
-The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
-Software.
-
-THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
-WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
-COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
-OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
View
@@ -0,0 +1,82 @@
+
+h1. e9s
+
+Enrichments (e9s) for Ruby Internationalization (i18n)
+
+h2. Introduction
+
+E9s was created due to the need of simply implementing i18n within a Rails application. It enriches I18n, Formtastic, the String and Symbol classes to make life easier for the Rails developer. Want to see what Enrichments (e9s) really has to offer within a couple of seconds? Please visit "http://github.com/archan937/e9s-demo":http://github.com/archan937/e9s-demo for a complete demo application.
+
+h2. Installation
+
+h3. Using e9s as gem
+
+Add gemcutter as a gem source, if you haven't already done it:
+
+<pre>
+ sudo gem sources -a http://gemcutter.org/
+</pre>
+
+Install the e9s gem:
+
+<pre>
+ sudo gem install e9s
+</pre>
+
+Add e9s in environment.rb as a gem dependency:
+
+<pre>
+ config.gem "e9s"
+</pre>
+
+h3. Using e9s as plugin
+
+Install the e9s plugin:
+
+<pre>
+ ./script/plugin install git://github.com/archan937/e9s.git
+</pre>
+
+Optionally, you can also install the Formtastic plugin:
+
+<pre>
+ ./script/plugin install git://github.com/justinfrench/formtastic.git
+</pre>
+
+h2. Usage
+
+* Add translations within local YML files in /config/locals/
+* Start translating within controllers, models and/or views
+
+Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
+Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
+
+h2. Contact me
+
+For support, remarks and requests please mail me at "paul.engel@holder.nl":mailto:paul.engel@holder.nl.
+
+h2. Credit
+
+This Rails plugin depends on:
+
+i18n<br>
+"http://github.com/svenfuchs/i18n":http://github.com/svenfuchs/i18n
+
+Formtastic (optional)<br>
+"http://github.com/justinfrench/formtastic":http://github.com/justinfrench/formtastic
+
+h2. ToDo's
+
+* Complete the Dutch pluralization inflections
+
+h2. License
+
+Copyright (c) 2010 Paul Engel, released under the MIT license
+
+"http://holder.nl":http://holder.nl - "http://codehero.es":http://codehero.es - "http://gettopup.com":http://gettopup.com - "paul.engel@holder.nl":mailto:paul.engel@holder.nl
+
+Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
View
@@ -1,23 +1,39 @@
-require 'rake'
-require 'rake/testtask'
-require 'rake/rdoctask'
+require "rake"
+require "rake/testtask"
+require "rake/rdoctask"
-desc 'Default: run unit tests.'
+begin
+ require "jeweler"
+ Jeweler::Tasks.new do |gemspec|
+ gemspec.name = "E9s"
+ gemspec.summary = "Enrichments (e9s) for Ruby Internationalization (i18n)"
+ gemspec.description = "E9s was created due to the need of simply implementing i18n within a Rails application. It enriches I18n, Formtastic, the String and Symbol classes to make life easier for the Rails developer."
+ gemspec.email = "paul.engel@holder.nl"
+ gemspec.homepage = "http://github.com/archan937/e9s"
+ gemspec.authors = ["Paul Engel"]
+ end
+ Jeweler::GemcutterTasks.new
+rescue LoadError
+ puts "Jeweler (or a dependency) not available. Install it with: gem install jeweler"
+end
+
+desc "Default: run unit tests."
task :default => :test
-desc 'Test the e9s plugin.'
+desc "Test the e9s plugin."
Rake::TestTask.new(:test) do |t|
- t.libs << 'lib'
- t.libs << 'test'
- t.pattern = 'test/**/*_test.rb'
- t.verbose = true
+ t.libs << "lib"
+ t.libs << "test"
+ t.pattern = "test/**/*_test.rb"
+ t.verbose = true
end
-desc 'Generate documentation for the e9s plugin.'
+desc "Generate documentation for the e9s plugin."
Rake::RDocTask.new(:rdoc) do |rdoc|
- rdoc.rdoc_dir = 'rdoc'
- rdoc.title = 'E9s'
- rdoc.options << '--line-numbers' << '--inline-source'
- rdoc.rdoc_files.include('README')
- rdoc.rdoc_files.include('lib/**/*.rb')
-end
+ rdoc.rdoc_dir = "rdoc"
+ rdoc.title = "E9s"
+ rdoc.options << "--line-numbers" << "--inline-source"
+ rdoc.rdoc_files.include "README"
+ rdoc.rdoc_files.include "MIT-LICENSE"
+ rdoc.rdoc_files.include "lib/**/*.rb"
+end
View
@@ -0,0 +1 @@
+1.0
View
@@ -1,6 +1 @@
-
-Dir.glob(File.join("vendor", "plugins", "e9s", "lib", "**", "*.rb")).each do |file|
- require file
-end
-
-E9s::Plugin.init
+require File.join(File.dirname(__FILE__), "rails", "init")
Oops, something went wrong.

0 comments on commit 67e0afc

Please sign in to comment.